#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512
# Use network installation
url --url="ftp://bl24/rhel75x86_64"
repo --name="Server-HighAvailability" --baseurl=ftp://bl24/rhel75x86_64/addons/HighAvailability
repo --name="Server-ResilientStorage" --baseurl=ftp://bl24/rhel75x86_64/addons/ResilientStorage
# Use graphical install
graphical
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sda,mpathe,mpathd,mpathc,mpathb,mpatha,sdj,sdd,sdm,sdg,sdk,sdh,sdn,sde,sdl,sdi,sdo,sdf,sds,sdp,sdt,sdq
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=dhcp --device=eno1 --ipv6=auto --activate
network  --bootproto=dhcp --device=eno2 --ipv6=auto --activate
network  --bootproto=dhcp --device=eno3 --ipv6=auto
network  --bootproto=dhcp --device=eno4 --ipv6=auto
network  --hostname=localhost.localdomain

# Root password
rootpw --iscrypted $6$5mhMC/3X.Ouw2ilA$DmuX/zxV9Uw5i9BPfEuPPyp8F1ltpCBarf6VIAu02fyBXZv1ax1uG.UQaD2Dcnh36bWUD1kxz/ow54IrpyEgI1
# System services
services --enabled="chronyd"
# System timezone
timezone America/New_York --isUtc --ntpservers=bl24.r214.example.com,bl24.r214.example.com
user --groups=wheel --name=student --password=$6$As7B5OpJ4Izb/dxb$mdgNIObl00DTGMblUkbg3wobIqG.0eunxjABR9uYbHl5gEVvjBcECwhUQdDjifGgKyrAG05wnWgOUSDUjIY2W/ --iscrypted --gecos="student"
# System bootloader configuration
bootloader --append=" crashkernel=auto" --location=mbr --boot-drive=sda
# Partition clearing information
clearpart --all --initlabel --drives=sda,mpatha,mpathb,mpathc,mpathd,mpathe
# Disk partitioning information
part /boot --fstype="xfs" --ondisk=sda --size=1024
part pv.1050 --fstype="lvmpv" --ondisk=sda --size=31738
part pv.3095 --fstype="lvmpv" --ondisk=mpathd --size=16368
part pv.3101 --fstype="lvmpv" --ondisk=mpathe --size=16368
part pv.3089 --fstype="lvmpv" --ondisk=mpathc --size=16368
part pv.3077 --fstype="lvmpv" --ondisk=mpatha --size=16368
part pv.3083 --fstype="lvmpv" --ondisk=mpathb --size=16368
volgroup vg_bl13 --pesize=4096 pv.1050
volgroup vg3par --pesize=4096 pv.3077 pv.3083 pv.3089 pv.3095 pv.3101
logvol /  --fstype="xfs" --size=16344 --fsoptions="defaults,_netdev" --label="Root" --name=root --vgname=vg_bl13
logvol swap  --fstype="swap" --size=4080 --name=swap --vgname=vg_bl13
logvol /external  --fstype="xfs" --size=65500 --fsoptions="defaults,_netdev" --name=external --vgname=vg3par

%packages
@^minimal
@core
chrony
kexec-tools

%end

%addon com_redhat_kdump --enable --reserve-mb='auto'

%end

%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
