#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512
# Use network installation
url --url="ftp://bl24/rhel74x86_64"
repo --name="Server-HighAvailability" --baseurl=ftp://bl24/rhel74x86_64/addons/HighAvailability
repo --name="Server-ResilientStorage" --baseurl=ftp://bl24/rhel74x86_64/addons/ResilientStorage
# Use graphical install
graphical
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sda,mpatha,mpathb,mpathc,mpathd,mpathe,sdd,sdh,sdm,sdg,sdi,sdj,sdn,sde,sdk,sdo,sdl,sdf,sdp,sds,sdt,sdq
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=dhcp --device=eno1 --ipv6=auto --activate
network  --bootproto=dhcp --device=eno2 --ipv6=auto --activate
network  --bootproto=dhcp --device=eno3 --ipv6=auto
network  --bootproto=dhcp --device=eno4 --ipv6=auto
network  --hostname=localhost.localdomain

# Root password
rootpw --iscrypted $6$4zFh81yeFamyPUtu$VpLjt24o3JGNXw7f132TFb8lwAbzxXfbGmQw7OQcdmYBE6j68viCxcKNRLVZJmxD..47puP8PX8aZXeutKfU./
# System services
services --enabled="chronyd"
# System timezone
timezone America/New_York --isUtc --ntpservers=bl24.r214.example.com,bl24.r214.example.com
user --groups=wheel --name=student --password=$6$QMTj400e68V1YnRy$3x33U3hagHwxBuTdFfuhLyW3VaZjPL4kdBtER4S90YaG3YqdC.G2V3c.95lSxxFEm5rbvI3N1V/KAbJfPV38K1 --iscrypted --gecos="student"
# System bootloader configuration
bootloader --append=" crashkernel=auto" --location=mbr --boot-drive=sda
# Partition clearing information
clearpart --all --initlabel --drives=sda,mpatha,mpathb,mpathd,mpathe
# Disk partitioning information
part /boot --fstype="xfs" --ondisk=sda --size=1024
part pv.635 --fstype="lvmpv" --ondisk=sda --size=31738
part pv.1672 --fstype="lvmpv" --ondisk=mpathe --size=16368
part pv.1666 --fstype="lvmpv" --ondisk=mpathd --size=16368
part pv.1660 --fstype="lvmpv" --ondisk=mpathb --size=16368
part pv.1654 --fstype="lvmpv" --ondisk=mpatha --size=16368
volgroup rhel_bl14 --pesize=4096 pv.635
volgroup vgExternal --pesize=4096 pv.1654 pv.1660 pv.1666 pv.1672
logvol swap  --fstype="swap" --size=8064 --name=swap --vgname=rhel_bl14
logvol /  --fstype="xfs" --size=16384 --fsoptions="defaults,_netdev" --label="Root" --name=root --vgname=vgExternal
logvol /mnt/external  --fstype="xfs" --size=49072 --fsoptions="defaults,_netdev" --name=mnt_external --vgname=vgExternal

%packages
@^minimal
@core
chrony
kexec-tools

%end

%addon com_redhat_kdump --enable --reserve-mb='auto'

%end

%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
